DefinitionBlock ("", "SSDT", 2, "hack", "uiac", 0)
{
// guide: https://www.tonymacx86.com/threads/211311/

// SSDT base from Asus Zenbook UX430 (Kaby Lake R): https://github.com/hieplpvip/ASUS-ZENBOOK-HACKINTOSH/blob/master/hotpatch/include/SSDT-UIAC-UX430-KABYR.dsl
// Correction: "port-count", Buffer() { 18, 0, 0, 0 } default for 8086_9d2f as per RehabMan original https://raw.githubusercontent.com/RehabMan/OS-X-USB-Inject-All/master/SSDT-UIAC-ALL.dsl

// Common port connector types are USB2 = 0, USB3 = 3, internal = 255
    
    Device(UIAC)
    {
        Name(_HID, "UIA00000")

        Name(RMCF, Package()
        {
            "8086_9d2f", Package() // from XHC IOName: pci8086,9d2f
            {
                "port-count", Buffer() { 18, 0, 0, 0 }, // Max port address in 9d2f - should remain 18 as per RehabMan
                "ports", Package()
                {
                    "HS01", Package() // on the right towards rear - USB 2.0 on USB 3.0 port 
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 1, 0, 0, 0 },
                    },
                    "HS02", Package() // on the right towards front - USB 2.0 on USB 3.1 port
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 2, 0, 0, 0 },
                    },
                    "HS03", Package() // on the left towards rear - USB 2.0
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 3, 0, 0, 0 },
                    },
                    "HS04", Package() // on the left towards front - USB 2.0
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 4, 0, 0, 0 },
                    },
                    "HS06", Package() // internal webcam - USB 2.0
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 6, 0, 0, 0 },
                    },
                    "HS08", Package() // internal WiFi & Bluetooth - USB 2.0
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 8, 0, 0, 0 },
                    },                    
                    "SS01", Package() // on the right towards rear - USB 3.0
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 13, 0, 0, 0 },
                    },
                    "SS02", Package() // on the right towards front - USB 3.1 (USB C socket )
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 14, 0, 0, 0 },
                    },

                },
            },
        })
    }
}
//EOF